curl --request GET \
--url https://api.syntage.com/entities/{entityId}/electronic-accounting-records \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/electronic-accounting-records"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/electronic-accounting-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/ElectronicAccountingRecord",
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997/electronic-accounting-records",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/electronic-accounting-records/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "ElectronicAccountingRecord",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"year": 2022,
"month": 3,
"type": "N",
"reason": "EM",
"fileType": "B",
"filename": "PEIC211118IS0202203BN.zip",
"code": "0002220300000000124236",
"receivedAt": "2023-11-07T05:31:56Z",
"status": "accepted",
"files": [
{
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}List an entity's electronic accounting records
List electronic accounting records extracted for an entity.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Filter by year (exact match) Fiscal year
2022
Filter by month (exact match)
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13 3
Filter by type (exact match)
N, C "N"
Filter by reason (exact match)
AF, DE, CO, FC, EM "EM"
Filter by file type (exact match)
CT, B, PL, XF, XC "B"
Filter by filename (partial match)
"PEIC211118IS0202203BN.zip"
Filter by code (exact match)
"0002220300000000124236"
Filter by date received (less than or equal <=)
Filter by date received (less than <)
Filter by date received (greater than or equal >=)
Filter by date received (greater than >)
Filter by status (exact match)
received, accepted, rejected "accepted"
Order by year
asc, desc "asc"
Order by month
asc, desc "asc"
Order by date received
asc, desc "asc"
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
1 <= x <= 1000Response
Electronic accounting record collection response
"/entities/91106968-1abd-4d64-85c1-4e73d96fb997/electronic-accounting-records"
Show child attributes
Show child attributes
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?